# class ActionController::Middleware::ActionMiddleware

### Public Class Methods

new(controller, app) click to toggle source

    # File lib/action_controller/middleware.rb, line 4
    def initialize(controller, app)
      @controller, @app = controller, app
    end

### Public Instance Methods

call(env) click to toggle source

    # File lib/action_controller/middleware.rb, line 8
    def call(env)
      request = ActionDispatch::Request.new(env)
      @controller.build(@app).dispatch(:index, request)
    end